curl --location --request GET 'https://app.audienceful.com/api/people/fields/' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <token>' \
[
{
"id": "4XJA8RZ6kJRwMJYDBETyZa",
"name": "Email",
"data_name": "email",
"type": "string",
"editable": false,
"required": false
},
{
"id": "o4i4TNZnWsq2f2ZWVqNNWY",
"name": "Tags",
"data_name": "tags",
"type": "tag",
"editable": false,
"required": false
}
]
Fields
List Fields
This endpoint retrieves the list of your custom fields
GET
/
api
/
people
/
fields
curl --location --request GET 'https://app.audienceful.com/api/people/fields/' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <token>' \
[
{
"id": "4XJA8RZ6kJRwMJYDBETyZa",
"name": "Email",
"data_name": "email",
"type": "string",
"editable": false,
"required": false
},
{
"id": "o4i4TNZnWsq2f2ZWVqNNWY",
"name": "Tags",
"data_name": "tags",
"type": "tag",
"editable": false,
"required": false
}
]
Documentation Index
Fetch the complete documentation index at: https://developer.audienceful.com/llms.txt
Use this file to discover all available pages before exploring further.
Response
array
The list of custom fields
Show properties
Show properties
The id of the field
The human readable name of the field
The data name of the field is used in subsequent API requests for people
Allows the field to be edited or not (default fields such as email or tags are not editable)
The type of data stored in the field
curl --location --request GET 'https://app.audienceful.com/api/people/fields/' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <token>' \
[
{
"id": "4XJA8RZ6kJRwMJYDBETyZa",
"name": "Email",
"data_name": "email",
"type": "string",
"editable": false,
"required": false
},
{
"id": "o4i4TNZnWsq2f2ZWVqNNWY",
"name": "Tags",
"data_name": "tags",
"type": "tag",
"editable": false,
"required": false
}
]
⌘I
